Imagick::getImageMimeType
Imagick::getImagePage
Imagick
PHP Manual

# Imagick::getImageOrientation

(PECL imagick 2.0.0)

Imagick::getImageOrientation — Gets the image orientation

### Description

int Imagick::getImageOrientation ( void )

Gets the image orientation. The return value is one of the orientation constants.

### Return Values

Returns an int on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::getImageMimeType
Imagick::getImagePage
Imagick
PHP Manual